Subject: Re: [ofa-general] [PATCH 0/26] Reliable Datagram Sockets (RDS), take 2

From: Andi Kleen <[email-masked]>
Date: Fri, 27 Feb 2009 18:08:34 +0100

Andy Grover <[email-masked]> writes:

> This patchset against net-next adds support for RDS sockets. RDS is an
> Oracle-originated protocol used to send IPC datagrams (up to 1MB)
> reliably, and is used currently in Oracle RAC and Exadata products. 

Perhaps I missed it earlier, but what is the rationale for putting 
this as a socket type into the kernel? I assume they also work
directly as implemented in user space using raw sockets or similar, 
don't they?

-Andi

-- 
[email-masked] -- Speaking for myself only.